# OpalPluginControl Class Reference

`#include <opalpluginmgr.h>`

Collaboration diagram for OpalPluginControl:

[legend]

## Public Member Functions

| OpalPluginControl (const PluginCodec_Definition *def, const char *name)
bool | Exists () const
int | Call (void *parm, unsigned *parmLen, void *context=NULL) const
int | Call (void *parm, unsigned parmLen, void *context=NULL) const
const char * | GetName () const

## Protected Attributes

const PluginCodec_Definition * | codecDef
const char * | fnName
const PluginCodec_ControlDefn * | controlDef

## Constructor & Destructor Documentation

OpalPluginControl::OpalPluginControl | ( | const PluginCodec_Definition * | def,
|  | const char * | name |
| ) |  |  |

## Member Function Documentation

int OpalPluginControl::Call | ( | void * | parm,
|  | unsigned | parmLen,
|  | void * | context = `NULL` |
| ) |  |  | const`[inline]`

int OpalPluginControl::Call | ( | void * | parm,
|  | unsigned * | parmLen,
|  | void * | context = `NULL` |
| ) |  |  | const`[inline]`

bool OpalPluginControl::Exists | ( |  | ) | const`[inline]`

const char* OpalPluginControl::GetName | ( |  | ) | const`[inline]`

## Field Documentation

const PluginCodec_Definition* OpalPluginControl::codecDef `[protected]`

const PluginCodec_ControlDefn* OpalPluginControl::controlDef `[protected]`

const char* OpalPluginControl::fnName `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h